Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.campaign
Class AddUserDiscountAction

    java.lang.Object
      |
      +--com.bea.campaign.action.Action
            |
            +--com.bea.commerce.ebusiness.campaign.AddUserDiscountAction

All Implemented Interfaces:
  Serializable

public class AddUserDiscountAction
extends Action

Action object to associate a discount to a user.

This action understands the following action parameters:

- set (optional): the discount set name (if not specified, will use the `default name`.
- name (required): the discount name.
- description (optional): a textual description of the association.

See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_DISCOUNT_SET_NAME` The default discount set name ("DefaultDiscountSet").

Constructor Summary
`AddUserDiscountAction()`

Method Summary
`DiscountAssociationMgr` | `getAssociationMgr()` Get the discount association manager this should use.
`void` | `init(Map params)` Initialize this action from a map of parameters.
`void` | `run()` Execute this action.
`String` | `toString()`

Methods inherited from class com.bea.campaign.action.Action
`getEvent, getRandom, getRequest, getScenario, getScenarioContainer, getScenarioContainerName, getScenarioId, getScenarioName, getServiceLocator, getSession, getTimestamp, getUser, getUserId, locateService, setEvent, setRandom, setRequest, setScenario, setScenarioContainer, setServiceLocator, setSession, setTimestamp, setUser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_DISCOUNT_SET_NAME

    public static final String DEFAULT_DISCOUNT_SET_NAME

  The default discount set name ("DefaultDiscountSet").

  See Also:
    Constant Field Values

Constructor Detail

### AddUserDiscountAction

    public AddUserDiscountAction()

Method Detail

### init

    public void init(Map params)
              throws IllegalArgumentException

  Initialize this action from a map of parameters.

  See the class notes about the understood and required action parameters.

  Specified by:
    `init` in class `Action`
  Parameters:
    `params` - A map of name/value pairs
  Throws:
    `IllegalArugmentException` - thrown on invalid action parameters.
    `IllegalArgumentException` - if any required params are missing

### run

    public void run()
             throws ActionException

  Execute this action.

  This will associate the named discount to the user.

  Specified by:
    `run` in class `Action`
  Throws:
    `ActionException` - thrown on an error.

### getAssociationMgr

    public DiscountAssociationMgr getAssociationMgr()
                                             throws CreateException,
                                                    RemoteException

  Get the discount association manager this should use.

  Throws:
    `CreateException` - thrown if the system cannot get a manager.
    `RemoteException` - thrown on a general error.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved